\ noForth button OLED demo

hex
: EGELTJE   ( -- )
    &page                       \ Init. and show Hedgehog
    38 00 do  80 i 2 * - 1 egel  30 ms loop
    80 ms  0 6 >xy s" Egel project" &&type ;

: LOOPLICHT ( -- )
    4 0 do
       forward? if  forward
       else    backward
       then
       key? if  leave  0 29 c!  then
    loop   0 29 c! ;

: DEMO      ( -- )
    setup-adc  -1 to forward?  display-setup
    begin
        looplicht  egeltje
    key? until ;

' demo  to app
shield DEMO\  freeze

\ End


